Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 147532

Summary: net-misc/vnc-4.0-r1 does not build with gcc 4.1.1
Product: Gentoo Linux Reporter: Rafael Kolless <rafael>
Component: Current packagesAssignee: Gentoo Linux bug wranglers <bug-wranglers>
Status: VERIFIED DUPLICATE    
Severity: normal    
Priority: High    
Version: 2006.1   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Rafael Kolless 2006-09-13 23:28:13 UTC
Hi,

I tried to build vnc with the USE Flag "server" with the gcc-4.1.1 (former builds worked fine).

It stops building complaining many warnings:

i686-pc-linux-gnu-gcc -c -O2 -march=prescott -fomit-frame-pointer -pipe -ansi -pedantic -Wall -Wpointer-arith -Wundef    -fno-merge-constants -I../../../exports/include/X11 -I. -I../mfb -I../mi -I../cfb              -I../include -I../../../include -I../../../lib              -I../../../include/extensions -I../../../include/fonts -I../../../lib/X11  -I../../.. -I../../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L                             -D_POSIX_SOURCE -D_XOPEN_SOURCE                                 -D_BSD_SOURCE -D_SVID_SOURCE    -D_GNU_SOURCE                            -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP       -DXCSECURITY -DTOGCUP   -DXF86BIGFONT -DDPMSExtension    -DPIXPRIV -DPANORAMIX   -DRENDER -DRANDR       -DXFIXES -DDAMAGE -DCOMPOSITE -DXEVIE -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH                             -DXFreeXDGA -DXvExtension                               -DXFree86LOADER  -DXFree86Server                                -DXF86VIDMODE                           -DXvMCExtension                                 -DSMART_SCHEDULE                       -DBUILDDEBUG -DXResExtension                             -DX_BYTE_ORDER=X_LITTLE_ENDIAN                          -DXORG_VERSION_CURRENT="(((6) * 10000000) + ((8) * 100000) + ((1) * 1000) + 0)" -DNDEBUG   -DFUNCPROTO=15 -DNARROWPROTO   -DXPRINTDIR=\"/usr/lib/X11/xserver\" -DXPRASTERDDX -DXPPCLDDX -DXPMONOPCLDDX          -DXPPSDDX -DHAS_MKSTEMP -UXFree86LOADER -D_XP_PRINT_SERVER_   attributes.c
attributes.c: In Funktion 
Comment 1 Rafael Kolless 2006-09-13 23:28:13 UTC
Hi,

I tried to build vnc with the USE Flag "server" with the gcc-4.1.1 (former builds worked fine).

It stops building complaining many warnings:

i686-pc-linux-gnu-gcc -c -O2 -march=prescott -fomit-frame-pointer -pipe -ansi -pedantic -Wall -Wpointer-arith -Wundef    -fno-merge-constants -I../../../exports/include/X11 -I. -I../mfb -I../mi -I../cfb              -I../include -I../../../include -I../../../lib              -I../../../include/extensions -I../../../include/fonts -I../../../lib/X11  -I../../.. -I../../../exports/include   -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L                             -D_POSIX_SOURCE -D_XOPEN_SOURCE                                 -D_BSD_SOURCE -D_SVID_SOURCE    -D_GNU_SOURCE                            -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP       -DXCSECURITY -DTOGCUP   -DXF86BIGFONT -DDPMSExtension    -DPIXPRIV -DPANORAMIX   -DRENDER -DRANDR       -DXFIXES -DDAMAGE -DCOMPOSITE -DXEVIE -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH                             -DXFreeXDGA -DXvExtension                               -DXFree86LOADER  -DXFree86Server                                -DXF86VIDMODE                           -DXvMCExtension                                 -DSMART_SCHEDULE                       -DBUILDDEBUG -DXResExtension                             -DX_BYTE_ORDER=X_LITTLE_ENDIAN                          -DXORG_VERSION_CURRENT="(((6) * 10000000) + ((8) * 100000) + ((1) * 1000) + 0)" -DNDEBUG   -DFUNCPROTO=15 -DNARROWPROTO   -DXPRINTDIR=\"/usr/lib/X11/xserver\" -DXPRASTERDDX -DXPPCLDDX -DXPMONOPCLDDX          -DXPPSDDX -DHAS_MKSTEMP -UXFree86LOADER -D_XP_PRINT_SERVER_   attributes.c
attributes.c: In Funktion »XpGetConfigDirBase«:
attributes.c:152: Warnung: Zuweisung von inkompatiblem Zeigertyp
attributes.c:152: Warnung: in Vergleich verschiedener Zeigertypen fehlt Typkonvertierung
attributes.c:153: Warnung: Zuweisung von inkompatiblem Zeigertyp
attributes.c:155: Warnung: return von inkompatiblem Zeigertyp
attributes.c: In Funktion »BuildPrinterAttrs«:
attributes.c:327: Warnung: Variable »dirName« wird nicht verwendet
attributes.c: In Funktion »XpGetOneAttribute«:
attributes.c:627: Warnung: Variable »retVal« wird nicht verwendet
attributes.c: In Funktion »AppendEntry«:
attributes.c:819: Warnung: »return« ohne Wert in nicht-void zurückgebender Funktion
attributes.c: In Funktion »XpGetAttributes«:
attributes.c:878: Warnung: Variable »retVal« wird nicht verwendet
attributes.c: Auf höchster Ebene:
attributes.c:1094: Fehler: Statische Deklaration von »ExecCommand« folgt nicht-statischer Deklaration
attributes.h:113: Fehler: Vorherige Deklaration von »ExecCommand« war hier
attributes.c: In Funktion »SendFileToCommand«:
attributes.c:1187: Warnung: Implizite Deklaration der Funktion »initgroups«
attributes.c:1202: Warnung: Variable »res« wird nicht verwendet
attributes.c: In Funktion »VectorizeCommand«:
attributes.c:1440: Warnung: Variable »i« wird nicht verwendet
attributes.c:1439: Warnung: Variable »curTok« wird nicht verwendet
attributes.c: In Funktion »XpSubmitJob«:
attributes.c:1466: Warnung: Variable »cmdOpt« wird nicht verwendet
attributes.c: In Funktion »XpGetTrayMediumFromContext«:
attributes.c:1590: Warnung: Variable »pLast« wird nicht verwendet
attributes.c:1590: Warnung: Variable »pE« wird nicht verwendet
attributes.c:1590: Warnung: Variable »pS« wird nicht verwendet
attributes.c: In Funktion »XpSubmitJob«:
attributes.c:1518: Warnung: Kontrollfluss erreicht Ende einer Nicht-void-Funktion
make[5]: *** [attributes.o] Fehler 1
make[5]: Leaving directory `/var/tmp/portage/vnc-4.0-r1/work/vnc-4.0-unixsrc/xc/programs/Xserver/Xprint'
make[4]: *** [Xprint] Fehler 2
make[4]: Leaving directory `/var/tmp/portage/vnc-4.0-r1/work/vnc-4.0-unixsrc/xc/programs/Xserver'
make[3]: *** [all] Fehler 2
make[3]: Leaving directory `/var/tmp/portage/vnc-4.0-r1/work/vnc-4.0-unixsrc/xc/programs'
make[2]: *** [all] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/vnc-4.0-r1/work/vnc-4.0-unixsrc/xc'
make[1]: *** [World] Fehler 2
make[1]: Leaving directory `/var/tmp/portage/vnc-4.0-r1/work/vnc-4.0-unixsrc/xc'
make: *** [World] Fehler 2

!!! ERROR: net-misc/vnc-4.0-r1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  vnc-4.0-r1.ebuild, line 88:   Called die

---------------------------------------------------
here my corresponding emerge-info:

Portage 2.1.1 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r4 i686)
=================================================================
System uname: 2.6.17-gentoo-r4 i686 Intel(R) Pentium(R) 4 CPU 3.20GHz
Gentoo Base System version 1.12.4
Last Sync: Wed, 13 Sep 2006 19:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=prescott -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/data/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac acpi alsa arts asf audiofile berkdb bitmap-fonts bluetooth browserplugin bzip2 cairo capi cdparanoia cdr cli crypt css cups curl dbus dga directfb dlloader dri dts dv dvb dvd dvdr dvdread dvdreadi eds elibc_glibc emboss encode esd exif fam fame ffmpeg firefox font-server fortran fping fritzcapi_cards_fcpci gdbm gif gimp gimpprint glut gmp gpm gstreamer gtk gtk2 hal icq idn ieee1394 imagemagick imlib input_devices_evdev input_devices_keyboard input_devices_mouse ipod isdnlog java javascript joystick jpeg jpeg2k kde kdeenablefinal kernel_linux kipi koffice-plugin lcms libg++ linguas_de lua mad maildir matroska mbox mikmod mime mjpeg mmx mmxext mng moneyplex monkey moznocompose moznoirc moznomail mozsvg mp3 mpeg mplayer msn musicbrainz mysql ncurses nls nptl nptlonly nsplugin objc ogg openal opengl oscar oss pam pcre perl png ppds pppd python qt3 qt4 quicktime rar rdesktop readline real reflection reiserfs ruby scanner sdl session smp sms sox speedo spell spl sqlite sse sse-filters sse2 ssl stats subtitles sysfs tcltk tcpd theora tiff truetype truetype-fonts type1-fonts udev unicode usb userland_GNU utf8 v4l vcd video_cards_fglrx videos vidix vorbis win32codecs xcomposite xine xinerama xml xorg xpm xscreensaver xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2006-09-13 23:36:27 UTC

*** This bug has been marked as a duplicate of 125164 ***
Comment 3 Rafael Kolless 2006-09-14 11:23:08 UTC
Hi,

Bug 125164 is marked resolved so you cannot find it as a known bug very easy and the problem is really not resolved actually.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-09-14 11:26:09 UTC
The problem is resolved in 4.1.2, go use it.
Comment 5 Rafael Kolless 2006-09-14 12:24:10 UTC
Yes, it is fixed in 4.1.2 but VNC is marked stable for x86 and the server for who I test vnc currently uses stable only.

So for me the problem is not really resolved for the stable ebuild.

But I found a decleration problem in the headers of 4.0 that is not allowed in gcc 4.1.1 anymore. I test the patch currently and if it works I will post it on  
Bug 125164, or should I open a new one?
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-09-14 12:29:09 UTC
We won't be fixing anything in 4.0, no point in posting any patches/opening more duplicate bugs.
Comment 7 Rafael Kolless 2006-09-14 12:46:19 UTC
But after an upgrade to gcc 4.1.1 the current stable ebuild will not work anymore and for me I plan to to upgrade the server to gcc 4.1.1 and I see now that the emerge -e world will fail obviously.

Sorry for this but it is new for me that I am advised to use the unstable ebuild and that stable ebuild are left broken.

 
Comment 8 Jakub Moc (RETIRED) gentoo-dev 2006-09-14 12:58:12 UTC
Move to Bug 145371 for 4.1.2 stabilization (can't be done until xorg-server-1.1.1 is stable). This one in closed, no fixes for the old broken version.
Comment 9 Rafael Kolless 2006-09-14 13:13:45 UTC
I do not depend on this bug here. The problem I have is that 4.1.2 is masked and I installed 4.0 on the server with stable ebuilds only. So VNC is currently a blocker for an upgrade to gcc 4.1.1 on a stable system with the emerge -e world that has to be done.

And as you said, the old version is broken but marked stable on x86 also :)
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2006-09-14 13:17:30 UTC
We won't fix 4.0, it's severely broken w/ modular X and plain not worth wasting the time. Closed case, enough noise here.